## PeasGtkPluginManagerView

PeasGtkPluginManagerView — Management tree view for plugins.

## Functions

GtkWidget * | peas_gtk_plugin_manager_view_new ()
void | peas_gtk_plugin_manager_view_set_show_builtin ()
gboolean | peas_gtk_plugin_manager_view_get_show_builtin ()
void | peas_gtk_plugin_manager_view_set_selected_plugin ()
PeasPluginInfo * | peas_gtk_plugin_manager_view_get_selected_plugin ()

## Properties

PeasEngine * | engine | Read / Write / Construct Only
gboolean | show-builtin | Read / Write

## Signals

void | populate-popup | Run Last

## Types and Values

struct | PeasGtkPluginManagerView
struct | PeasGtkPluginManagerViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkTreeView
                        ╰── PeasGtkPluginManagerView

## Implemented Interfaces

PeasGtkPluginManagerView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

The PeasGtkPluginManagerView is a tree view that can be used to manage plugins, i.e. load or unload them, and see some pieces of information.

The only thing you need to do as an application writer if you wish to use the view to display your plugins is to instantiate it using `peas_gtk_plugin_manager_view_new()` and pack it into another widget or a window.

Note: Changing the model of the view is not supported.

## Functions

### peas_gtk_plugin_manager_view_new ()

    GtkWidget *
    peas_gtk_plugin_manager_view_new (PeasEngine *engine);

Creates a new plugin manager view for the given PeasEngine.

If `engine` is `NULL`, then the default engine will be used.

#### Parameters

engine | A PeasEngine, or `NULL`. | [allow-none]

#### Returns

the new PeasGtkPluginManagerView.

### peas_gtk_plugin_manager_view_set_show_builtin ()

    void
    peas_gtk_plugin_manager_view_set_show_builtin
                                   (PeasGtkPluginManagerView *view,
                                    gboolean show_builtin);

`peas_gtk_plugin_manager_view_set_show_builtin` has been deprecated since version 1.2 and should not be used in newly-written code.

Use hidden plugins instead.

Sets if builtin plugins should be shown.

#### Parameters

view | A PeasGtkPluginManagerView. |
show_builtin | If builtin plugins should be shown. |

### peas_gtk_plugin_manager_view_get_show_builtin ()

    gboolean
    peas_gtk_plugin_manager_view_get_show_builtin
                                   (PeasGtkPluginManagerView *view);

`peas_gtk_plugin_manager_view_get_show_builtin` has been deprecated since version 1.2 and should not be used in newly-written code.

Use hidden plugins instead.

Returns if builtin plugins should be shown.

#### Parameters

view | A PeasGtkPluginManagerView. |

#### Returns

if builtin plugins should be shown.

### peas_gtk_plugin_manager_view_set_selected_plugin ()

    void
    peas_gtk_plugin_manager_view_set_selected_plugin
                                   (PeasGtkPluginManagerView *view,
                                    PeasPluginInfo *info);

Selects the given plugin.

#### Parameters

view | A PeasGtkPluginManagerView. |
info | A PeasPluginInfo. |

### peas_gtk_plugin_manager_view_get_selected_plugin ()

    PeasPluginInfo *
    peas_gtk_plugin_manager_view_get_selected_plugin
                                   (PeasGtkPluginManagerView *view);

Returns the currently selected plugin, or `NULL` if a plugin is not selected.

#### Parameters

view | A PeasGtkPluginManagerView. |

#### Returns

the selected plugin.

[transfer none]

## Types and Values

### struct PeasGtkPluginManagerView

    struct PeasGtkPluginManagerView;

The PeasGtkPluginManagerView structure contains only private data and should only be accessed using the provided API.

### struct PeasGtkPluginManagerViewClass

    struct PeasGtkPluginManagerViewClass {
      GtkTreeViewClass parent_class;

      void  (*populate_popup)   (PeasGtkPluginManagerView *view,
                                 GtkMenu                  *menu);
    };

The class structure for PeasGtkPluginManagerView.

#### Members

GtkTreeViewClass `parent_class`; | The parent class. |
`populate_popup` () | Signal class handler for the “populate-popup” signal. |

## Property Details

### The `“engine”` property

      “engine”                   PeasEngine *

The PeasEngine this view is attached to.

Flags: Read / Write / Construct Only

### The `“show-builtin”` property

      “show-builtin”             gboolean

If builtin plugins should be shown.

`PeasGtkPluginManagerView:show-builtin` has been deprecated since version 1.2 and should not be used in newly-written code.

Use hidden plugins instead.

Flags: Read / Write

Default value: FALSE

## Signal Details

### The `“populate-popup”` signal

    void
    user_function (PeasGtkPluginManagerView *view,
                   GtkMenu                  *menu,
                   gpointer                  user_data)

The ::populate-popup signal is emitted before showing the context menu of the view. If you need to add items to the context menu, connect to this signal and add your menuitems to the `menu` .

#### Parameters

view | A PeasGtkPluginManagerView. |
menu | A GtkMenu. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last